.
Results 1 to 4 of 4

Thread: Trainz 2019 not able to install on Mac Pro with High Sierra

  1. #1
    Join Date
    Sep 2009
    Location
    United States of America, Illinois, Aurora
    Posts
    101
     

    Default Trainz 2019 not able to install on Mac Pro with High Sierra

    So I have Trainz 2019 running perfectly on my PC, but my Mac Pro 5,1 is still running macOS High Sierra 10.13.6 (older gpu) and when I attempt to download and install the TRS19 dmg file, the app complains I need macOS 11.1 or later. I saw on the Mac requirements page that 10.12 or later is all that is needed for TRS19, so why is this? Is there a way I can get an older version compatible with my Mac?
    Over 10 Years of Trainz and still going strong!

  2. #2
    Join Date
    Jun 2013
    Location
    Port Noarlunga South Australia
    Posts
    2,642
    Blog Entries
    1
     

    Default

    Quote Originally Posted by JakeTrainz View Post
    So I have Trainz 2019 running perfectly on my PC, but my Mac Pro 5,1 is still running macOS High Sierra 10.13.6 (older gpu) and when I attempt to download and install the TRS19 dmg file, the app complains I need macOS 11.1 or later. I saw on the Mac requirements page that 10.12 or later is all that is needed for TRS19, so why is this? Is there a way I can get an older version compatible with my Mac?
    I had an early version of 2019 on my 2010 5.1 Mc pro running high sierra , and i made the timber ridge line in 2019 on one of my 2010 mac pros using that version build 100331 on sierra, its still working perfectly on it .
    I know i cant install 2022 on these mac pros unless i can upgrade to a higher OSX version, but i need my 32 bit photoshop, dreamweaver etc, so stuck on this version for foreseeable future.
    what card do you have on the mac pro? i had a nvidia gtx 970 which refused to play with trainz. worked perfectly on everything else, but that was $300 bucks down the drain.currently using RX580 8 gb ram , works well even with complex routes.
    WARNING! The Surgeon General has determined that the use of the simulator Trainz is highly addictive,

  3. #3
    Join Date
    Sep 2009
    Location
    United States of America, Illinois, Aurora
    Posts
    101
     

    Default

    It's the original Radeon HD 5770 1GB. Not powerful by today standards, but at 1280x1024 (old monitor), it runs Trainz Simulator 2 for Mac and Trainz A New Era at perfectly playable framerates. I would think TRS19 would be playable too, maybe just need to turn down a few settings. I'm considering purchasing an RX 580 with the flashed boot screen off ebay and then upgrade to Catalina using OpenCore. That's still less than 11.1 though. I just don't understand the requirements saying 10.12, but the app refuses to launch on 10.13.6.

    Edit: I've heard you can run Big Sur 11.1 with some tweaks/hacks, but it honestly looks like more trouble than I'm willing to put up with and I've heard there are some issues anyway. Catalina looks much easier and doesn't seem to have any issues after installation. Also, having done a hackintosh before, I bought the Mac Pro 5,1 secondhand because I was "done" with the constant upkeep of a hackintosh install.
    Last edited by JakeTrainz; January 26th, 2022 at 01:24 AM.
    Over 10 Years of Trainz and still going strong!

  4. #4
    Join Date
    Jun 2013
    Location
    Port Noarlunga South Australia
    Posts
    2,642
    Blog Entries
    1
     

    Default

    Quote Originally Posted by JakeTrainz View Post
    It's the original Radeon HD 5770 1GB. Not powerful by today standards, but at 1280x1024 (old monitor), it runs Trainz Simulator 2 for Mac and Trainz A New Era at perfectly playable framerates. I would think TRS19 would be playable too, maybe just need to turn down a few settings. I'm considering purchasing an RX 580 with the flashed boot screen off ebay and then upgrade to Catalina using OpenCore. That's still less than 11.1 though. I just don't understand the requirements saying 10.12, but the app refuses to launch on 10.13.6.

    Edit: I've heard you can run Big Sur 11.1 with some tweaks/hacks, but it honestly looks like more trouble than I'm willing to put up with and I've heard there are some issues anyway. Catalina looks much easier and doesn't seem to have any issues after installation. Also, having done a hackintosh before, I bought the Mac Pro 5,1 secondhand because I was "done" with the constant upkeep of a hackintosh install.

    what was your outcome with this issue ? my version of 2019 is so old they will no longer support me with any issues that occur , just advise me to update , but from what I can see the 2019 version available on the NV3 site wont work with high sierra ....
    WARNING! The Surgeon General has determined that the use of the simulator Trainz is highly addictive,

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •